<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "ConceptosObra".
 *
 * @property string $id
 * @property string $idPartida
 * @property string|null $concepto
 * @property string|null $descripcion
 * @property string $estatus

 * 
 */
class ConceptosObra extends ModeloBase
{
    /**
     * {@inheritdoc}
     */
    public static function tableName()
    {
        return 'ConceptoObra';
    }

    /**
     * {@inheritdoc}
     */
    public function rules()
    {
        return [
            [['id','concepto'], 'required'],
            [['creado', 'modificado', 'eliminado'], 'safe'],
            [['id', 'idPartida','estatus'], 'string', 'max' => 36],
            [[ 'concepto','descripcion'], 'string', 'max' => 100],
            [['idPartida'], 'exist', 'skipOnError' => true, 'targetClass' => Partida::class, 'targetAttribute' => ['idPartida' => 'id']],

        ];
    }

    /**
     * {@inheritdoc}
     */
    public function attributeLabels()
    {
        return [
            'id' => 'ID',
            'idPartida' => 'ID de la Partida',
            'concepto' => 'Concepto',
            'descripcion' => 'Descripcion',
            'estatus' => 'Estatus',
            'creado' => 'Creado',
            'modificado' => 'Modificado',
            'eliminado' => 'Eliminado',
        ];
    }
}
