<?php

namespace v1\models;

use app\models\Obra as ModeloObra;

class Obra extends ModeloObra {

  public function fields() {
    return [
      'id',
      'clave',
      'nombre',
      'fechaInicio',
      'fechaFinal',
      'descripcion',
      'creado',
      'modificado',
    ];
  }

  public function extraFields() {
    return [
        'empleados',
        'herramientas',
    ];
}

  public function getHerramientaObras()
  {
      return $this->hasMany(HerramientaObra::class, ['idObra' => 'id']);
  }

  public function getEmpleados()
  {
      return $this->hasMany(Empleado::class, ['id' => 'idEmpleado'])->viaTable("ObraEmpleado",['idObra'=>'id']) ;
  }

  public function getHerramientas()
{$q=(new \yii\db\Query())
  ->select(['{{ObraHerramienta}}.[[idObra]]','{{Herramienta}}.[[id]]', '{{Herramienta}}.[[nombre]]','{{ObraHerramienta}}.[[cantidad]]'])
  ->from('Herramienta')
  ->leftJoin('ObraHerramienta', '{{ObraHerramienta}}.[[idHerramienta]]={{Herramienta}}.[[id]]')
  ->andWhere(['{{ObraHerramienta}}.[[idObra]]' => $this->id])
  ->all();
    return $q;
}
}